AtomicPlayerAtomicPlayer
atomicplayer.ai
  • English
  • Español
  • Português
AtomicPlayer
  • Website
  • Dashboard
API docs
  • Introduction
  • Authentication
  • API reference

© 2026 AtomicPlayer

Information
Videos
    List videosgetCreate a videopostGet a videogetDelete a videodeleteUpdate a videopatchCreate an upload URLpostGet upload statusget
Folders
    List foldersgetCreate a folderpost
Tags
    List tagsgetCreate a tagpostReplace video tagsput
Player
    List playersgetGet a playergetCreate a playerpostUpdate a player draftpatchPublish a playerpost
Analytics
    Analytics overviewgetVideo analyticsgetRetention curvegetPlayback funnelgetRevenuegetCohortsgetAudiencegetLive viewersgetReplay sessionsgetVideo summariesget
Webhooks
    List webhook eventsgetList webhooksgetCreate a webhookpostGet a webhookgetDelete a webhookdeleteUpdate a webhookpatchList deliveriesgetSend a test eventpostRotate the signing secretpostWebhook statsget
API keys
    List API keysgetCreate an API keypostRevoke an API keydeleteUpdate an API keypatch
Schemas
AtomicPlayer API
AtomicPlayer API

Tags

Download schema

Label videos and replace the tags on one video.


List tags

GET
https://api.atomicplayer.ai
/v1/video-tags

Returns the tags in a workspace. Required scope: read.

List tags › query Parameters

workspaceId
​string · uuid · required

Workspace id.

List tags › Responses

List tags

success
​boolean · enum · required
Enum values:
​object · required
error
​required
GET/v1/video-tags
curl --request GET \ --url 'https://api.atomicplayer.ai/v1/video-tags?workspaceId=%3Cstring%3E'
Example Responses
{ "success": true, "data": { "tags": [ { "id": "00000000-0000-4000-8000-000000000020", "workspaceId": "ddaf7e61-1a65-4d59-9f94-d706fc53131a", "name": "Launch" } ] }, "error": null }
json
application/json

Create a tag

POST
https://api.atomicplayer.ai
/v1/video-tags

Creates a tag that can be attached to videos. Required scope: write.

Create a tag › Request Body

workspaceId
​string
name
​string

Create a tag › Responses

Create a tag

success
​boolean · enum · required
Enum values:
​object · required
error
​required
POST/v1/video-tags
curl --request POST \ --url https://api.atomicplayer.ai/v1/video-tags \ --header 'Content-Type: application/json' \ --data ' { "workspaceId": "ddaf7e61-1a65-4d59-9f94-d706fc53131a", "name": "Launch" } '
Example Request Body
{ "workspaceId": "ddaf7e61-1a65-4d59-9f94-d706fc53131a", "name": "Launch" }
json
application/json
Example Responses
{ "success": true, "data": { "id": "00000000-0000-4000-8000-000000000020", "workspaceId": "ddaf7e61-1a65-4d59-9f94-d706fc53131a", "name": "Launch" }, "error": null }
json
application/json

Replace video tags

PUT
https://api.atomicplayer.ai
/v1/videos/{videoId}/tags

Replaces the full tag list. Send an empty array to clear the tags. Required scope: write.

Replace video tags › path Parameters

videoId
​string · uuid · required

videoId

Replace video tags › Request Body

tagIds
​string[]

Replace video tags › Responses

Replace video tags

success
​boolean · enum · required
Enum values:
​object · required
error
​required
PUT/v1/videos/{videoId}/tags
curl --request PUT \ --url https://api.atomicplayer.ai/v1/videos/:videoId/tags \ --header 'Content-Type: application/json' \ --data ' { "tagIds": [ "00000000-0000-4000-8000-000000000020" ] } '
Example Request Body
{ "tagIds": [ "00000000-0000-4000-8000-000000000020" ] }
json
application/json
Example Responses
{ "success": true, "data": { "id": "00000000-0000-4000-8000-000000000001", "tagIds": [ "00000000-0000-4000-8000-000000000020" ] }, "error": null }
json
application/json

FoldersPlayer